Page MenuHomePhabricator

Datetime analysis
Closed, ResolvedPublic

Description

From the datetimes extracted for each revid of an article, conduct an analysis to find mean, median and std dev of the dates.

Event Timeline

prnk28 created this task.Jun 29 2016, 2:39 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 29 2016, 2:39 PM

I converted all dates to Julian dates (inspiration from here https://github.com/phn/jdcal) and found the mean. (I ignored the time though)
I am now working on finding the median in an efficient manner. A search suggested that https://en.wikipedia.org/wiki/Median_of_medians and https://en.wikipedia.org/wiki/Selection_algorithm work in O(n) time.

Jsalsman triaged this task as Medium priority.Jul 2 2016, 11:39 PM
prnk28 closed this task as Resolved.Jul 29 2016, 6:21 PM